Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#76961 - [home-assistant] fails to start when python-pyroute2-0.7.3-1 package is installed

Attached to Project: Community Packages
Opened by Daniel Kessler (dkess) - Friday, 30 December 2022, 05:09 GMT
Last edited by Toolybird (Toolybird) - Friday, 30 December 2022, 23:10 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Maxime Gauduin (Alucryd)
Alexander Epaneshnikov (alex19EP)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 5
Private No

Details

Description: with the new version of python-pyroute2 (python-pyroute2-0.7.3-1), home assistant fails to start and prints multiple pip import related errors. Snippet of what the logs look like is attached to the bug.

Workaround is to downgrade to python-pyroute2-0.6.9-1
   mylog.txt (14.4 KiB)
This task depends upon

Comment by Roland Ruckerbauer (ruabmbua) - Tuesday, 03 January 2023, 12:09 GMT
Same problem here, I downgraded to python-pyroute2-0.6.13-1 to make it work again.
Comment by Matthew (piezoelectric) - Friday, 03 February 2023, 07:42 GMT
I recently also had a problem with the ssl package. I updated back to the latest python-pyroute2, etc. I stopped hass, blew away /var/lib/hass/deps/lib, and restarted. It took a while for all of the python modules to reinstall but my installation is working again.
Comment by Daniel Kessler (dkess) - Saturday, 04 February 2023, 18:56 GMT
Thanks, that fixed it for me too! (had to restart twice)

I added these instructions to home assistant's archwiki page.

Loading...